#ifndef __USER_SLEEP_H__
#define __USER_SLEEP_H__



#define TIMER_WAKEUP_TIME_US    (30 * 1000 * 1000)     //定义的唤醒的时间         单位s
#define TIMER_CAN_SEND_TIME     (200)                 //定义可以唤醒lora工作的时间单位ms
#define LORA_POWER_TIME         (2000)


//睡眠关闭电源使能

#define LORA_SLEEP_ENABLE 1         //使能LORA关闭电源
#define FONT_SLEEP_ENABLE 1         //使能字库关闭电源
#define LCD_SLEEP_ENABLE  0         //使能LCD关闭电源

#define USER_LIGHT_SLEEP_ENABLE  1   //使能深度睡眠
#define USER_DEEP_SLEEP_ENABLE   0   //使能深度睡眠
#define USER_NOT_SLEEP_ENABLE    0   //使能禁止休眠模式






void user_sleep_into();

#include "esp_err.h"
esp_err_t example_register_timer_wakeup(void);

extern  uint8_t _wakeup_reson;  //内存上次唤醒的原因

int is_wake_up_reson();  //返回唤醒的原因



void sleep_timer_start(int ms);
void sleep_timer_stop(void);

void Already_send_timer_start(int ms);
void Already_send_timer_stop(void);


int left_adc_wake_btn_send();

#endif
